Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a Presto database. You'll need to provide a host, port, identifier, token and scope:

  • host: this is the HTTP(S) endpoint of your Presto cluster. Make sure to include https:// in front of the host URL!

  • port: the port of your Presto cluster. This will typically be 8080 (default) or 443 (if the cluster is accessible via a HTTPS load balancer).

  • scope: the initial collection to connect to. This is set as X-Presto-Catalog header in calls.

  • identifier: the user to connect to your Presto cluster. This user is used as the X-Presto-User header in calls to Presto.

  • token: the password associated with the user. This password is used in the Authorization header in calls to Presto.

Notes :

  • Make sure Luzmo can reach your cluster by whitelisting Luzmo's range of IP addresses as described here

  • Luzmo connects via Presto's HTTP REST interface. Make sure it is enabled.

  • Starburst Presto is currently not supported, as this distribution does not enable the /v1/status HTTP endpoint which is used for verifying the cluster is reachable to Luzmo.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "properties": null,
  "date": "2024-08-14T09:29:12.089Z",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "provider": "presto",
  "host": "host url",
  "port": "443",
  "identifier": "username",
  "scope": "database",
  "name": "My Presto connection",
  "id": "91acb3cc-dee6-4954-8a36-99c10f754eed",
  "user_id": "abca9830-0dad-4b11-a6d4-23972c124020",
  "version": null,
  "updated_at": "2024-08-14T09:29:13.253Z",
  "created_at": "2024-08-14T09:29:13.243Z",
  "expiry": null,
  "description": null,
  "plugin_id": null,
  "shareable_id": "9afb7ad2-59de-49c5-b2c7-431370ee2be6"
}